﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerGunAudio : NAudioSource {

    [SerializeField]
    private List<AudioClip> _gGunPull;
    [SerializeField]
    private List<AudioClip> _gGunPush;
    [SerializeField]
    private List<AudioClip> _gGunMissing;

    public void PlayPull() {
        _audioSource.pitch = Random.Range(0.75f, 1.25f);
        _audioSource.PlayOneShot(_gGunPull[Random.Range(0, _gGunPull.Count)]);
    }

    public void PlayPush() {
        _audioSource.pitch = Random.Range(0.75f, 1.25f);
        _audioSource.PlayOneShot(_gGunPush[Random.Range(0, _gGunPush.Count)]);
    }

    public void PlayMissing() {
        _audioSource.pitch = Random.Range(0.75f, 1.25f);
        _audioSource.PlayOneShot(_gGunMissing[Random.Range(0, _gGunMissing.Count)]);
    }
}
