﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;


namespace KrakJam {
    public class PlayerManager : GenericSingleton<PlayerManager> {

        [SerializeField]
        private List<PlayerController> _players;

        public void NewWave(WaveType waveType = WaveType.Normal) {

            switch (waveType) {
                case WaveType.NoGravity:
                    for(int i = 0; i < _players.Count; i++) {
                        _players[i].SetGravity(0);
                    }
                    break;
                case WaveType.Frozen:
                    break;
                case WaveType.Normal:
                    for (int i = 0; i < _players.Count; i++) {
                        _players[i].SetGravity(1);
                    }
                    break;
            }
        }
    }
}