﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;


namespace KrakJam {
    public class NewWaveTimerUI : MonoBehaviour {

        private Slider _slider;
        private GameManager _gameManager;

private void Awake() {
            _slider = GetComponent<Slider>();
        }

        private void Start() {
            _gameManager = GameManager.instance;
        }

        public void Update() {
            _slider.value = _gameManager.nextWaveElapsedTime;
        }

    }
}
