﻿using UnityEngine;
using System.Collections;

namespace KrakJam
{
    [CreateAssetMenu(menuName = "Wave/Base")]
    public class WaveBase : ScriptableObject
    {
        public string waveName;

        [Header("Global")]
        public float timeScale = 1f;

        [Header("Player")]
        public float playerGravity = 1f;

        [Header("Dynamic Objects")]
        public float dynamicObjectsGravity = 1f;

        public bool areObjectsSliding = false;

        public bool isLava = false;

        public AudioClip announcement;

    } //class

} //namespace
