﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerFeetstepAudio : NAudioSource {

    [SerializeField]
    private List<AudioClip> _feetstepClips;
    [SerializeField]
    private List<AudioClip> _jumpClips;
    [SerializeField]
    private List<AudioClip> _landClips;

    public void PlayFeetsteps() {
        _audioSource.pitch = Random.Range(0.75f, 1.25f);
        _audioSource.PlayOneShot(_feetstepClips[Random.Range(0, _feetstepClips.Count)]);
    }

    public void PlayJump() {
        _audioSource.pitch = Random.Range(0.75f, 1.25f);
        _audioSource.PlayOneShot(_jumpClips[Random.Range(0, _jumpClips.Count)]);
    }

    public void PlayLand() {
        _audioSource.pitch = Random.Range(0.75f, 1.25f);
        _audioSource.PlayOneShot(_landClips[Random.Range(0, _landClips.Count)]);
    }
}
