﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace KrakJam {
    public class Ball : Pickupable
    {
        private Vector3 _startPosition;


        protected override void Awake()
        {
            base.Awake();
            _startPosition = transform.position;
        }


        private void Update()
        {
            if (Input.GetKeyDown(KeyCode.F2))
            {
                ResetPosition();
            }
        }


        public void ResetPosition()
        {
            transform.position = _startPosition;
            _collider.enabled = true;
            _rigidbody.velocity = Vector2.zero;
            SetOwner(null);
        }
    }
}
