﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace KrakJam {
    public class CheckingBeingHit : MonoBehaviour {

        private PlayerController _playerController;

        private void Awake() {
            _playerController = GetComponentInParent<PlayerController>();
        }

        private void OnTriggerEnter2D(Collider2D other) {
            if (other.gameObject.layer == LayerMask.NameToLayer("Pickupable")) {
                Pickupable obj = other.GetComponent<Pickupable>();
                //Debug.Log(obj.rigidbody.velocity.magnitude);
                if (obj.rigidbody.velocity.magnitude > 7f) {
                    _playerController.Die();
                    obj.ResetPosition();
                }
            }
        }
    }
}
