﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

namespace KrakJam {
    public class GameTimerUI : MonoBehaviour {

        private Text _text;
        private GameManager _gameManager;

        private void Awake() {
            _text = GetComponent<Text>();
        }

        private void Start() {
            _gameManager = GameManager.instance;
        }

        public void Update() {
            _text.text = (_gameManager.gameTime - _gameManager.elapsedTime).ToString("0.00");
        }
    }

}